      function carg (z)
c april 1977 version.  w. fullerton, c3, los alamos scientific lab.
      complex z
      external atan2
c
      carg = 0.0
      if (real(z).ne.0. .or. aimag(z).ne.0.) carg =
     1  atan2 (aimag(z), real(z))
c
      return
      end
